## ros-one-lpg-planner 2.1.31-19noble.20251023.0752

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(lpg_planner)

find_package(catkin REQUIRED mk)
catkin_package()

add_custom_command(
  OUTPUT installed
  COMMAND make -f ${PROJECT_SOURCE_DIR}/Makefile MD5SUM_DIR=${PROJECT_SOURCE_DIR} PATCH_DIR=${PROJECT_SOURCE_DIR}
)

add_custom_command(
  OUTPUT ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/bin/lpg-1.2
  COMMAND cmake -E copy_directory bin/ ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/bin/
  DEPENDS installed
)

add_custom_target(lpg ALL
    DEPENDS ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/bin/lpg-1.2)

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/bin
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== Makefile ===
all: installed

VERSION = 1.2
FILENAME = lpg$(VERSION)-linux.tar.gz
TARBALL = build/$(FILENAME)
TARBALL_URL = http://github.com/jsk-ros-pkg/archives/raw/master/$(FILENAME)
SOURCE_DIR = build/LPG-$(VERSION)-linux
UNPACK_CMD = tar xzf
MD5SUM_DIR = $(CURDIR)
MD5SUM_FILE = $(MD5SUM_DIR)/$(FILENAME).md5sum
include $(shell rospack find mk)/download_unpack_build.mk

installed:$(SOURCE_DIR)/unpacked
	mkdir -p bin
	cp $(SOURCE_DIR)/lpg-$(VERSION) bin/
	touch installed

clean:
	rm -rf bin
	rm -rf installed

wiped: Makefile	make wipe
	touch wiped

wipe: 	clean
	touch wiped

=== debian/changelog ===
ros-one-lpg-planner (2.1.31-19noble.20251023.0752) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 07:52:30 +0000

ros-one-lpg-planner (2.1.31-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-lpg-planner (2.1.30-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-lpg-planner (2.1.29-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-lpg-planner (2.1.28-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-lpg-planner (2.1.27-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-lpg-planner (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-lpg-planner (2.1.25-0noble) noble; urgency=high

  * [lpg_planner] install lpg_planner from jsk-ros-pkg/archieve (#280 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/280>)
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-lpg-planner (2.1.24-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-lpg-planner (2.1.23-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-lpg-planner (2.1.22-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-lpg-planner (2.1.21-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-lpg-planner (2.1.20-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-lpg-planner (2.1.19-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-lpg-planner (2.1.18-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-lpg-planner (2.1.17-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-lpg-planner (2.1.16-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-lpg-planner (2.1.15-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-lpg-planner (2.1.14-0noble) noble; urgency=high

  * add website to package.xml (#175 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/175>), closes #174 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/174>
  * Contributors: Kei Okada

 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-lpg-planner (2.1.13-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-lpg-planner (2.1.12-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-lpg-planner (2.1.11-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-lpg-planner (2.1.10-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-lpg-planner (2.1.9-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-lpg-planner (2.1.8-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-lpg-planner (2.1.7-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-lpg-planner (2.1.6-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-lpg-planner (2.1.5-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-lpg-planner (2.1.4-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-lpg-planner (2.1.3-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-lpg-planner (2.1.2-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-one-lpg-planner (2.1.1-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-one-lpg-planner (2.1.0-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-one-lpg-planner (2.0.20-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-one-lpg-planner (2.0.19-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-lpg-planner (2.0.18-0noble) noble; urgency=high



 -- Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-lpg-planner (2.0.17-0noble) noble; urgency=high

  * update version to 2.0.16 for lpg_planner
  * [lpg_planner] add lpg_planner


=== debian/control ===
Source: ros-one-lpg-planner
Section: misc
Priority: optional
Maintainer: Hitoshi Kamada <h-kamada@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-mk
Homepage: http://ros.org/wiki/lpg_planner
Standards-Version: 3.9.2

Package: ros-one-lpg-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: lpg_planner: LPGL Planner (http://zeus.ing.unibs.it/lpg/)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-lpg-planner//opt/ros/one/lib/ || echo "Skip dh_shlibdeps error!!!"

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
override_dh_strip:
	dh_strip || true
